Index: /trunk/admin/themes/clear/theme.css
===================================================================
--- /trunk/admin/themes/clear/theme.css	(revision 23120)
+++ /trunk/admin/themes/clear/theme.css	(revision 23121)
@@ -280,5 +280,5 @@
 #footer { background-image: url(images/piwigo_logo_small.png);}
 
-.pluginBox, .pluginMiniBox {background-color:#ddd;color:#353535;border-color:#ddd;}
+.pluginBox, .pluginMiniBox, .groups li {background-color:#ddd;color:#353535;border-color:#ddd;}
 .pluginBoxNameCell, .pluginMiniBoxNameCell {color:#111;}
 .pluginBox.incompatible, .pluginMiniBox.incompatible {border-color:#a00 !important;}
@@ -323,2 +323,12 @@
 
 p.albumTitle img {margin-bottom:-3px;}
+
+.groups label>p {
+  font-size: 1.2em;
+  color: #111;
+  background-color:#ccc;
+}
+label>p.group_select {
+  color: #666;
+  background-color:#F9F9F9;
+}
Index: /trunk/admin/themes/default/fix-ie7.css
===================================================================
--- /trunk/admin/themes/default/fix-ie7.css	(revision 23120)
+++ /trunk/admin/themes/default/fix-ie7.css	(revision 23121)
@@ -7,2 +7,5 @@
 	text-align:left;
 }
+.groups li {
+  display: inline;
+}
Index: /trunk/admin/themes/default/template/group_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/group_list.tpl	(revision 23120)
+++ /trunk/admin/themes/default/template/group_list.tpl	(revision 23121)
@@ -2,5 +2,5 @@
 {literal}
 $(document).ready(function() {
-
+  $('.groups input').change(function () { $(this).parent('p').toggleClass('group_select'); });
   $(".grp_action").hide();
   $("input.group_selection").click(function() {
@@ -34,5 +34,5 @@
     $("[id^=action_]").hide();
     $("#action_"+$(this).prop("value")).show();
-    if ($(this).val() != -1 && $(this).val() !="manage_pemissions" && $(this).val() !="manage_members" ) {
+    if ($(this).val() != -1 ) {
       $("#applyActionBlock").show();
     }
@@ -67,11 +67,11 @@
   <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
 
-  <ul style="text-align:center;">
+  <ul class="groups">
     {if not empty($groups)}
     {foreach from=$groups item=group name=group_loop}
-    <li style="vertical-align: middle;position: relative;display: inline-block;text-align: left;background-color: #ccc;height: 300px; width: 250px; margin: 5px">
-      <p style="text-align: left;"><label>{$group.NAME}<i><small>{$group.IS_DEFAULT}</small></i><input class="group_selection" name="group_selection[]" type="checkbox" value="{$group.ID}"></label></p>
-      <p style="text-align: left;max-height: 200px;overflow: auto;">{if $group.MEMBERS>0}<a href="{$group.U_MEMBERS}" title="{'Manage the members'|@translate}">{$group.MEMBERS}</a><br>{$group.L_MEMBERS}{else}{$group.MEMBERS}{/if}</p>
-      <p style="text-align: left;position: absolute;bottom: 0"><a class="buttonLike" href="{$group.U_PERM}" title="{'Permissions'|@translate}">{'Manage Permissions'|@translate}</a></p>
+    <li>
+      <label><p>{$group.NAME}<i><small>{$group.IS_DEFAULT}</small></i><input class="group_selection" name="group_selection[]" type="checkbox" value="{$group.ID}"></p></label>
+      <p class="list_user">{if $group.MEMBERS>0}<a href="{$group.U_MEMBERS}" title="{'Manage the members'|@translate}">{$group.MEMBERS}</a><br>{$group.L_MEMBERS}{else}{$group.MEMBERS}{/if}</p>
+      <a class="buttonLike group_perm" href="{$group.U_PERM}" title="{'Permissions'|@translate}">{'Manage Permissions'|@translate}</a>
     </li>
     {/foreach}
@@ -91,6 +91,4 @@
           <option value="merge">{'Merge selected groups'|@translate}</option>
           <option value="duplicate">{'Duplicate'|@translate}</option>
-          <option value="manage_members">{'Manage the members'|@translate}</option>
-          <option value="manage_pemissions">{'Manage Permissions'|@translate}</option>
           <option value="toggle_default">{'Toggle \'default group\' property'|@translate}</option>
       {if !empty($element_set_groupe_plugins_actions)}
@@ -138,26 +136,4 @@
         </div>
 
-        <!-- manage_members -->
-        <div id="action_manage_members" class="bulkAction">
-        {if not empty($groups)}
-        {foreach from=$groups item=group}
-        <p group_id="{$group.ID}" class="grp_action">
-          {$group.NAME} > {if $group.NB_MEMBERS!=0}<a class="buttonLike" href="{$group.U_MEMBERS}" title="{'Manage the members'|@translate}">{'Manage the members'|@translate}</a>{else}{'No members to manage'|@translate}{/if}
-        </p>
-        {/foreach}
-        {/if}
-        </div>
-
-        <!-- manage_pemissions -->
-        <div id="action_manage_pemissions" class="bulkAction">
-        {if not empty($groups)}
-        {foreach from=$groups item=group}
-        <p group_id="{$group.ID}" class="grp_action">
-          {$group.NAME} > <a class="buttonLike" href="{$group.U_PERM}" title="{'Permissions'|@translate}">{'Manage Permissions'|@translate}</a>
-        </p>
-        {/foreach}
-        {/if}
-        </div>
-
         <!-- toggle_default -->
         <div id="action_toggle_default" class="bulkAction">
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 23120)
+++ /trunk/admin/themes/default/theme.css	(revision 23121)
@@ -1104,2 +1104,39 @@
   margin-left:5px;
 }
+
+.groups {
+  text-align:center;
+}
+.groups li {
+  vertical-align: middle;
+  position: relative;
+  display: inline-block;
+  text-align: left;
+  height: 300px;
+  width: 250px;
+  margin: 5px;
+  border-radius: 5px;
+}
+.groups p {
+  text-align:left;
+}
+.groups label>p {
+  margin: 0;
+  border-radius: 5px 5px 0 0;
+  padding: 2px;
+  text-align: center;
+}
+
+.groups input {
+  float: right;
+}
+p.list_user {
+  text-align: left;
+  max-height: 200px;
+  overflow: auto;  
+}
+a.group_perm {
+  position: absolute;
+  bottom: 5px;
+  right: 5px;
+}
Index: /trunk/admin/themes/roma/theme.css
===================================================================
--- /trunk/admin/themes/roma/theme.css	(revision 23120)
+++ /trunk/admin/themes/roma/theme.css	(revision 23121)
@@ -263,5 +263,5 @@
 #footer {background-image: url(images/piwigo_logo_small.png);}
 
-.pluginBox, .pluginMiniBox {background-color:#333;color:#999;border-color:#333;}
+.pluginBox, .pluginMiniBox, .groups li {background-color:#333;color:#999;border-color:#333;}
 .pluginBoxNameCell, .pluginMiniBoxNameCell {color:#ddd;}
 .pluginBox.incompatible, .pluginMiniBox.incompatible {border-color:#800 !important;}
@@ -290,2 +290,12 @@
 
 .selectedComment {background-color:#555; color:#fff;}
+
+.groups label>p {
+  color: #ccc;
+  font-size: 1.2em;
+  background-color:#111;
+}
+label>p.group_select {
+  color: #111;
+  background-color:#ccc;
+}