Index: /extensions/Slide/js/minified/slide.min.js
===================================================================
--- /extensions/Slide/js/minified/slide.min.js	(revision 23121)
+++ /extensions/Slide/js/minified/slide.min.js	(revision 23122)
@@ -1,1 +1,1 @@
-$(function(){function r(){$.pageslide.close()}$("a:not(.noSlide)").addClass("slide");$(".navigationBar a").removeClass("slide");$(".calendarBar a").removeClass("slide");$(".calendarCalBar a").removeClass("slide");$(".navigationButtons a").removeClass("slide");$("#imageHeaderBar a").removeClass("slide");$(".calImg a").removeClass("slide");$(".date_today").removeClass("slide");$("#sortOrderBox a").removeClass("slide");$("#derivativeSwitchBox a").removeClass("slide");$("#sortOrderLink").removeClass("slide");$("#derivativeSwitchLink").removeClass("slide");$(".actions a").removeClass("slide");$(".navThumb").removeClass("slide");$(".calendarTitle a").removeClass("slide");$("#linkToPiwigo a").removeClass("slide").attr("target","blank");$('#copyright a[href="http://piwigo.org"]').removeClass("slide").attr("target","blank");$(".pwg-icon-letters").parent().removeClass("slide");$(".pwg-icon-cloud").parent().removeClass("slide");$(".pwg-icon-help").parent().removeClass("slide");$(".pwg-icon-favorite-del").parent().removeClass("slide");$(".pwg-icon-caddie-add").parent().removeClass("slide");$(".pwg-icon-category-edit").parent().removeClass("slide").attr("target","blank");$(".pwg-icon-category-view-flat").parent().removeClass("slide");$(".pwg-icon-category-view-normal").parent().removeClass("slide");$("#thePicturePage .pwg-icon-slideshow").parent().removeClass("slide");$("#thePicturePage .pwg-icon-camera-info").parent().removeClass("slide");$("#thePicturePage .pwg-icon-save").parent().removeClass("slide");$("#thePicturePage .pwg-icon-favorite-add").parent().removeClass("slide");$("#thePicturePage .pwg-icon-representative").parent().removeClass("slide");$("#thePicturePage .pwg-icon-edit").parent().removeClass("slide").attr("target","blank");$(".pwg-icon-arrow-n").parent().remove();$("#languageSwitchLink").removeClass("slide");$("#languageSwitchBox a").removeClass("slide");$("#theHeader a").removeClass("slide");$("#myHomePage a").removeClass("slide");$('.myHomePage_links a[href="index.php?/contact"]').addClass("slide");$("#mbAdditionalPages a").removeClass("slide");$("#photosAddContent a").removeClass("slide");$(".amm-MenuBar-links-icons a").removeClass("slide");$(".stuffs_block .illustration .description").removeClass("description").addClass("description_stuffs");$(".description_stuffs .zero nb-comments").remove();$(".description_stuffs .nb-hits").remove();$(".description_stuffs .nb-comments").remove();$(".titrePage + div").addClass("blockConteneur");var e={verticalDragMinHeight:100,verticalDragMaxHeight:100,autoReinitialise:true};var t=$(".scrollpane").jScrollPane(e);var n=t.data("jsp");$(function(){$(".slide").pageslide({direction:"left",speed:2e3})});$(function(){if(window.parent.length!=0){$("#menubar").remove();$("#theHeader").addClass("headbord")}});var i=$(window).width()-41+"px";$("#pageslide").css({width:i});var s=$(window).height()+"px";var o=$(window).height()-180+"px";$("#the_page").css({height:s});$(".intabs").css({height:s});$("#content").css({minHeight:o});$(".tabs").bind("click",function(){$(".intabs").removeClass("visibleTransi").css("cursor","default");$(".jspDrag").css("cursor","pointer");$(".jspVerticalBar").addClass("visibleTransi");$(".jspVerticalBar").removeClass("hideTransi")});$(".jspTrack").bind("click",function(){$(".intabs").removeClass("visibleTransi").css("cursor","default");$(".jspDrag").css("cursor","pointer");$(".jspVerticalBar").addClass("visibleTransi");$(".jspVerticalBar").removeClass("hideTransi")});$(".slide").bind("click",function(){$(".intabs").addClass("visibleTransi").css("cursor","pointer");$(".jspDrag").css("cursor","default");$(".jspVerticalBar").addClass("hideTransi");$(".jspVerticalBar").removeClass("visibleTransi")});var u=$("#theIdentificationPage .titrePage a").first().text();var a='<a href="index.php">'+u+"</a>";$("#theIdentificationPage .intabs").addClass("visible");$("#theIdentificationPage #sld_tab").replaceWith('<div id="sld_tabIdent">'+a+"</div>");$("#theIdentificationPage #menubar").remove();var f=$("#sld_tab").text();var f=f.substring(f.lastIndexOf("/"));var f=f.replace("/","");if(f.indexOf("[")>=0){var f=f.substring(0,f.indexOf("[",1))}$("#sld_tab").replaceWith("<div id='sld_tab'>"+f+"</div>");var f=$("#content .titrePage h2").first().text();var f=f.substring(f.lastIndexOf("/"));var f=f.replace("/","");$("#content .titrePage h2").first().replaceWith("<h2>"+f+"</h2>");$(".browsePath a").remove();var f=$(".browsePath").text();var f=f.substring(f.lastIndexOf("/"));var f=f.replace("/","");var f=f.replace("[","");var f=f.replace("]","");$(".browsePath").replaceWith("<h2>"+f+"</h2>");var l=$(".illustration img").width();if(l<230){$(".description").css("width","80%")}$("#submitSearch").bind("click",function(){$(".intabs").addClass("visibleTransi");$(".jspVerticalBar").addClass("hideTransi");$(".jspVerticalBar").removeClass("visibleTransi")});var c="http://piwitheme.fr";var a=' - theme by <a href="http://piwitheme.fr" target="_blank">piwitheme</a>';$("#copyright").append(a);if($.browser.msie&&parseInt($.browser.version,10)===8){$("#sortOrderLink").click(function(){var e=$("#sortOrderBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#sortOrderBox").on("mouseleave",function(){$(this).hide()});$("#derivativeSwitchLink").click(function(){var e=$("#derivativeSwitchBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#derivativeSwitchBox").on("mouseleave",function(){$(this).hide()});$("#languageSwitchLink").click(function(){var e=$("#languageSwitchBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#languageSwitchBox").on("mouseleave",function(){$(this).hide()})}})
+$(function(){function r(){$.pageslide.close()}$("a:not(.noSlide)").addClass("slide");$(".navigationBar a").removeClass("slide");$(".calendarBar a").removeClass("slide");$(".calendarCalBar a").removeClass("slide");$(".navigationButtons a").removeClass("slide");$("#imageHeaderBar a").removeClass("slide");$(".calImg a").removeClass("slide");$(".date_today").removeClass("slide");$("#sortOrderBox a").removeClass("slide");$("#derivativeSwitchBox a").removeClass("slide");$("#sortOrderLink").removeClass("slide");$("#derivativeSwitchLink").removeClass("slide");$(".actions a").removeClass("slide");$(".navThumb").removeClass("slide");$(".calendarTitle a").removeClass("slide");$("#linkToPiwigo a").removeClass("slide").attr("target","blank");$('#copyright a[href="http://piwigo.org"]').removeClass("slide").attr("target","blank");$(".pwg-icon-letters").parent().removeClass("slide");$(".pwg-icon-cloud").parent().removeClass("slide");$(".pwg-icon-help").parent().removeClass("slide");$(".pwg-icon-favorite-del").parent().removeClass("slide");$(".pwg-icon-caddie-add").parent().removeClass("slide");$(".pwg-icon-category-edit").parent().removeClass("slide").attr("target","blank");$(".pwg-icon-category-view-flat").parent().removeClass("slide");$(".pwg-icon-category-view-normal").parent().removeClass("slide");$("#thePicturePage .pwg-icon-slideshow").parent().removeClass("slide");$("#thePicturePage .pwg-icon-camera-info").parent().removeClass("slide");$("#thePicturePage .pwg-icon-save").parent().removeClass("slide");$("#thePicturePage .pwg-icon-favorite-add").parent().removeClass("slide");$("#thePicturePage .pwg-icon-representative").parent().removeClass("slide");$("#thePicturePage .pwg-icon-edit").parent().removeClass("slide").attr("target","blank");$(".pwg-icon-arrow-n").parent().remove();$("#languageSwitchLink").removeClass("slide");$("#languageSwitchBox a").removeClass("slide");$("#theHeader a").removeClass("slide");$("#myHomePage a").removeClass("slide");$('.myHomePage_links a[href="index.php?/contact"]').addClass("slide");$("#mbAdditionalPages a").removeClass("slide");$("#photosAddContent a").removeClass("slide");$(".amm-MenuBar-links-icons a").removeClass("slide");$(".stuffs_block .illustration .description").removeClass("description").addClass("description_stuffs");$(".description_stuffs .zero nb-comments").remove();$(".description_stuffs .nb-hits").remove();$(".description_stuffs .nb-comments").remove();$(".titrePage + div").addClass("blockConteneur");var e={verticalDragMinHeight:100,verticalDragMaxHeight:100,autoReinitialise:true};var t=$(".scrollpane").jScrollPane(e);var n=t.data("jsp");$(function(){$(".slide").pageslide({direction:"left",speed:2e3})});$(function(){var e=window.parent.length;if(e==1){$("#menubar").remove();$("#theHeader").addClass("headbord")}if(e>3){$("#menubar").remove();$("#theHeader").addClass("headbord")}});var i=$(window).width()-41+"px";$("#pageslide").css({width:i});var s=$(window).height()+"px";var o=$(window).height()-180+"px";$("#the_page").css({height:s});$(".intabs").css({height:s});$("#content").css({minHeight:o});$(".tabs").bind("click",function(){$(".intabs").removeClass("visibleTransi").css("cursor","default");$(".jspDrag").css("cursor","pointer");$(".jspVerticalBar").addClass("visibleTransi");$(".jspVerticalBar").removeClass("hideTransi")});$(".jspTrack").bind("click",function(){$(".intabs").removeClass("visibleTransi").css("cursor","default");$(".jspDrag").css("cursor","pointer");$(".jspVerticalBar").addClass("visibleTransi");$(".jspVerticalBar").removeClass("hideTransi")});$(".slide").bind("click",function(){$(".intabs").addClass("visibleTransi").css("cursor","pointer");$(".jspDrag").css("cursor","default");$(".jspVerticalBar").addClass("hideTransi");$(".jspVerticalBar").removeClass("visibleTransi")});var u=$("#theIdentificationPage .titrePage a").first().text();var a='<a href="index.php">'+u+"</a>";$("#theIdentificationPage .intabs").addClass("visible");$("#theIdentificationPage #sld_tab").replaceWith('<div id="sld_tabIdent">'+a+"</div>");$("#theIdentificationPage #menubar").remove();var f=$("#sld_tab").text();var f=f.substring(f.lastIndexOf("/"));var f=f.replace("/","");if(f.indexOf("[")>=0){var f=f.substring(0,f.indexOf("[",1))}$("#sld_tab").replaceWith("<div id='sld_tab'>"+f+"</div>");var f=$("#content .titrePage h2").first().text();var f=f.substring(f.lastIndexOf("/"));var f=f.replace("/","");$("#content .titrePage h2").first().replaceWith("<h2>"+f+"</h2>");$(".browsePath a").remove();var f=$(".browsePath").text();var f=f.substring(f.lastIndexOf("/"));var f=f.replace("/","");var f=f.replace("[","");var f=f.replace("]","");$(".browsePath").replaceWith("<h2>"+f+"</h2>");var l=$(".illustration img").width();if(l<230){$(".description").css("width","80%")}$("#submitSearch").bind("click",function(){$(".intabs").addClass("visibleTransi");$(".jspVerticalBar").addClass("hideTransi");$(".jspVerticalBar").removeClass("visibleTransi")});var c="http://piwitheme.fr";var a=' - theme by <a href="http://piwitheme.fr" target="_blank">piwitheme</a>';$("#copyright").append(a);if($.browser.msie&&parseInt($.browser.version,10)===8){$("#sortOrderLink").click(function(){var e=$("#sortOrderBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#sortOrderBox").on("mouseleave",function(){$(this).hide()});$("#derivativeSwitchLink").click(function(){var e=$("#derivativeSwitchBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#derivativeSwitchBox").on("mouseleave",function(){$(this).hide()});$("#languageSwitchLink").click(function(){var e=$("#languageSwitchBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#languageSwitchBox").on("mouseleave",function(){$(this).hide()})}})
Index: /extensions/Slide/js/slide.js
===================================================================
--- /extensions/Slide/js/slide.js	(revision 23121)
+++ /extensions/Slide/js/slide.js	(revision 23122)
@@ -67,8 +67,14 @@
 					});
 
-			$(function(){if(window.parent.length!=0) {
-				$('#menubar').remove();
-				$('#theHeader').addClass('headbord');
-													}
+			$(function(){
+				var wipalen = window.parent.length;
+				if(wipalen==1){
+					$('#menubar').remove();
+					$('#theHeader').addClass('headbord');
+					}
+				if(wipalen>3) {
+					$('#menubar').remove();
+					$('#theHeader').addClass('headbord');
+								}
 						});
 	
@@ -158,5 +164,5 @@
 							});
 
-	//piwithe link in footer				
+	//piwitheme link in footer				
 				var piwithemehtml = 'http://piwitheme.fr';
 				var link=' - theme by <a href="http://piwitheme.fr" target="_blank">piwitheme</a>';