Index: /extensions/linked_pages/admin.php
===================================================================
--- /extensions/linked_pages/admin.php	(revision 23217)
+++ /extensions/linked_pages/admin.php	(revision 23218)
@@ -148,4 +148,5 @@
     ),
   'LINKEDPAGES_PATH'=> get_root_url() . LINKEDPAGES_PATH,
+  'AP_ADMIN' => get_root_url() . 'admin.php?page=plugin-' . AP_DIR
   ));
  
Index: /extensions/linked_pages/main.inc.php
===================================================================
--- /extensions/linked_pages/main.inc.php	(revision 23217)
+++ /extensions/linked_pages/main.inc.php	(revision 23218)
@@ -4,5 +4,5 @@
 Version: auto
 Description: Link Additional Pages to albums.
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=635
+Plugin URI: auto
 Author: Mistic
 Author URI: http://www.strangeplanet.fr
Index: /extensions/linked_pages/template/admin_album.tpl
===================================================================
--- /extensions/linked_pages/template/admin_album.tpl	(revision 23217)
+++ /extensions/linked_pages/template/admin_album.tpl	(revision 23218)
@@ -9,7 +9,7 @@
   });
   
-  jQuery("#menuOrdering").submit(function(){
+  jQuery("#menuOrdering").submit(function() {
     ar = jQuery('.menuUl').sortable('toArray');
-    for(i=0;i<ar.length;i++) {
+    for(i=0; i<ar.length; i++) {
       men = ar[i].split('menu_');
       document.getElementsByName('position[' + men[1] + ']')[0].value = i;
@@ -27,26 +27,31 @@
   if ($(this).val() != -1) {
     $option = $(this).children("option:selected");
-    $("ul.menuUl").append(
-      ' <li class="menuLi" id="menu_'+ $(this).val() +'">'+
-        ' <p>'+
-        {/literal}
-          ' <span style="margin:2px 5px;">'+
-            ' <a href="#" class="deletePage"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_delete.png" alt="{'delete'|@translate}" title="{'delete'|@translate}"></a>'+
-          ' </span>'+
+    
+  {/literal}
+    var html =
+      '<li class="menuLi" id="menu_'+ $(this).val() +'">'+
+        '<p>'+
+          '<span style="margin:2px 5px;">'+
+            '<a href="#" class="deletePage"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_delete.png" alt="{'delete'|@translate}" title="{'delete'|@translate}"></a>'+
+          '</span>'+
 
           ' <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}">'+
-        {literal}
-          ' '+ $option.data("content") +
-        ' </p>'+
+          ' <b><a href="'+ $option.data('href') +'">'+ $option.html() +'</a></b>';
+    if ($option.data('standalone')) html+= ' - {'ap_standalone_page'|@translate}';
+    if ($option.data('language'))   html+= ' <i>('+ $option.data('language')+')</i>';
+    html+=
+        '</p>'+
+        '<p class="menuPos">'+
+          '<label>'+
+            '{'Position'|@translate} :'+
+            ' <input type="text" size="4" name="position['+ $(this).val() +']" maxlength="4" value="0">'+
+          '</label>'+
+        '</p>'+
+      '</li>';
+  {literal}
+      
+    $("ul.menuUl").append(html);
 
-        ' <p class="menuPos">'+
-          ' <label>'+
-            ' {/literal}{'Position'|@translate}{literal} :'+
-            ' <input type="text" size="4" name="position['+ $(this).val() +']" maxlength="4" value="0">'+
-          ' </label>'+
-        ' </p>'+
-      ' </li>');
-
-    $option.attr("disabled","disabled");
+    $option.attr("disabled", "disabled");
     $(this).val(-1);
     init_handlers();
@@ -57,7 +62,7 @@
 {/literal}{/footer_script}
 
-{html_head}{literal}
-<style type="text/css">#menuOrdering a:hover { border:none; }</style>
-{/literal}{/html_head}
+{html_style}{literal}
+#menuOrdering a:hover { border:none; }
+{/literal}{/html_style}
 
 
@@ -73,5 +78,5 @@
       <option value="-1" selected="selected">------------</option>
       {foreach from=$pages item=page}
-      <option value="{$page.id}" {$page.disabled} data-content="<b><a href='{$page.U_PAGE}'>{$page.title}</a></b>{if $page.standalone == 'true'} - {'ap_standalone_page'|@translate}{/if}{if !empty($page.language)} <i>({$page.language})</i>{/if}">
+      <option value="{$page.id}" {$page.disabled} data-href="{$page.U_PAGE}" data-standalone="{$page.standalone}" data-language="{$page.language}">
         {$page.title}
       </option>
@@ -79,7 +84,5 @@
     </select>
   </p>
-{/if}
-    
-    
+
   <ul class="menuUl">
     {foreach from=$cat_pages item=page}
@@ -105,8 +108,14 @@
     {/foreach}
   </ul>
+  
   <p class="menuSubmit">
     <input type="submit" name="save_pages" value="{'Submit'|@translate}">
     <input type="submit" name="reset" value="{'Reset'|@translate}">
   </p>
+{/if}
+
+<p style="text-align:left;">
+  <a href="{$AP_ADMIN}">{'ap_add_page'|@translate}</a>
+</p>
 
 </form>